org.keycloak.saml.common.constants

## Enum JBossSAMLConstants

- java.lang.Object
- - java.lang.Enum<JBossSAMLConstants>
  - - org.keycloak.saml.common.constants.JBossSAMLConstants

- All Implemented Interfaces:
    Serializable, Comparable<JBossSAMLConstants>

      public enum JBossSAMLConstants
      extends Enum<JBossSAMLConstants>

  SAML Constants
  Since:
    Dec 10, 2008

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION`
    `ADDITIONAL_METADATA_LOCATION`
    `ADDRESS`
    `ADVICE`
    `AFFILIATE_MEMBER`
    `AFFILIATION_DESCRIPTOR`
    `ALLOW_CREATE`
    `ARTIFACT`
    `ARTIFACT_RESOLUTION_SERVICE`
    `ARTIFACT_RESOLVE`
    `ARTIFACT_RESPONSE`
    `ASSERTION`
    `ASSERTION_CONSUMER_SERVICE`
    `ASSERTION_CONSUMER_SERVICE_INDEX`
    `ASSERTION_CONSUMER_SERVICE_URL`
    `ASSERTION_ID_REF`
    `ASSERTION_ID_REQUEST`
    `ASSERTION_ID_REQUEST_SERVICE`
    `ASSERTION_URI_REF`
    `ATTRIBUTE`
    `ATTRIBUTE_AUTHORITY_DESCRIPTOR`
    `ATTRIBUTE_CONSUMING_SERVICE`
    `ATTRIBUTE_CONSUMING_SERVICE_INDEX`
    `ATTRIBUTE_PROFILE`
    `ATTRIBUTE_QUERY`
    `ATTRIBUTE_SERVICE`
    `ATTRIBUTE_STATEMENT`
    `ATTRIBUTE_VALUE`
    `AUDIENCE`
    `AUDIENCE_RESTRICTION`
    `AUTHENTICATING_AUTHORITY`
    `AUTHN_AUTHORITY_DESCRIPTOR`
    `AUTHN_CONTEXT`
    `AUTHN_CONTEXT_CLASS_REF`
    `AUTHN_CONTEXT_DECL`
    `AUTHN_CONTEXT_DECL_REF`
    `AUTHN_INSTANT`
    `AUTHN_QUERY`
    `AUTHN_QUERY_SERVICE`
    `AUTHN_REQUEST`
    `AUTHN_REQUESTS_SIGNED`
    `AUTHN_STATEMENT`
    `AUTHZ_DECISION_QUERY`
    `AUTHZ_DECISION_STATEMENT`
    `AUTHZ_SERVICE`
    `BASEID`
    `BINDING`
    `CACHE_DURATION`
    `COMPANY`
    `COMPARISON`
    `CONDITION`
    `CONDITIONS`
    `CONSENT`
    `CONTACT_PERSON`
    `CONTACT_TYPE`
    `DESTINATION`
    `DNS_NAME`
    `DSA_KEY_VALUE`
    `EMAIL_ADDRESS`
    `ENCODING`
    `ENCRYPTED_ASSERTION`
    `ENCRYPTED_ATTRIBUTE`
    `ENCRYPTED_ID`
    `ENCRYPTED_KEY`
    `ENCRYPTION_METHOD`
    `ENTITIES_DESCRIPTOR`
    `ENTITY_DESCRIPTOR`
    `ENTITY_ID`
    `EVIDENCE`
    `EXTENSIONS` Deprecated. Use namespace-aware variant instead
    `EXTENSIONS__METADATA`
    `EXTENSIONS__PROTOCOL`
    `FORCE_AUTHN`
    `FORMAT`
    `FRIENDLY_NAME`
    `GET_COMPLETE`
    `GIVEN_NAME`
    `ID`
    `IDP_ENTRY`
    `IDP_LIST`
    `IDP_SSO_DESCRIPTOR`
    `IN_RESPONSE_TO`
    `INDEX`
    `INPUT_CONTEXT_ONLY`
    `IS_PASSIVE`
    `IS_REQUIRED`
    `ISDEFAULT`
    `ISSUE_INSTANT`
    `ISSUER`
    `KEY_DESCRIPTOR`
    `KEY_INFO`
    `KEY_VALUE`
    `LANG`
    `LANG_EN`
    `LOCATION`
    `LOGOUT_REQUEST`
    `LOGOUT_RESPONSE`
    `MANAGE_NAMEID_REQUEST`
    `MANAGE_NAMEID_RESPONSE`
    `MANAGE_NAMEID_SERVICE`
    `METADATA_MIME`
    `METHOD`
    `NAME`
    `NAME_FORMAT`
    `NAME_QUALIFIER`
    `NAMEID`
    `NAMEID_FORMAT`
    `NAMEID_MAPPING_REQUEST`
    `NAMEID_MAPPING_RESPONSE`
    `NAMEID_MAPPING_SERVICE`
    `NAMEID_POLICY`
    `NEW_ENCRYPTEDID`
    `NEWID`
    `NOT_BEFORE`
    `NOT_ON_OR_AFTER`
    `ONE_TIME_USE`
    `ORGANIZATION`
    `ORGANIZATION_DISPLAY_NAME`
    `ORGANIZATION_NAME`
    `ORGANIZATION_URL`
    `ORGANIZATION_URL_ALT`
    `PDP_DESCRIPTOR`
    `PROTOCOL_BINDING`
    `PROTOCOL_SUPPORT_ENUMERATION`
    `PROVIDER_NAME`
    `PROXY_RESTRICTION`
    `REASON`
    `RECIPIENT`
    `RELAY_STATE`
    `REQUEST`
    `REQUEST_ABSTRACT`
    `REQUEST_AUTHENTICATED`
    `REQUESTED_ATTRIBUTE`
    `REQUESTED_AUTHN_CONTEXT`
    `REQUESTERID`
    `RESPONSE` Deprecated. Use namespace-aware variant instead
    `RESPONSE__ECP`
    `RESPONSE__PROTOCOL`
    `RESPONSE_LOCATION`
    `RETURN_CONTEXT`
    `ROLE_DESCRIPTOR`
    `RSA_KEY_VALUE`
    `SCOPING`
    `SERVICE_DESCRIPTION`
    `SERVICE_NAME`
    `SESSION_INDEX`
    `SIGNATURE`
    `SIGNATURE_SHA1_WITH_DSA`
    `SIGNATURE_SHA1_WITH_RSA`
    `SINGLE_LOGOUT_SERVICE`
    `SINGLE_SIGNON_SERVICE`
    `SP_NAME_QUALIFIER`
    `SP_PROVIDED_ID`
    `SP_SSO_DESCRIPTOR`
    `STATEMENT`
    `STATUS`
    `STATUS_CODE`
    `STATUS_DETAIL`
    `STATUS_MESSAGE`
    `STATUS_RESPONSE_TYPE`
    `SUBJECT`
    `SUBJECT_CONFIRMATION`
    `SUBJECT_CONFIRMATION_DATA`
    `SUBJECT_LOCALITY`
    `SUBJECT_QUERY`
    `SURNAME`
    `TELEPHONE_NUMBER`
    `TERMINATE`
    `TYPE`
    `UNKNOWN_VALUE`
    `UNSOLICITED_RESPONSE_SAML_BINDING`
    `UNSOLICITED_RESPONSE_SAML_VERSION`
    `UNSOLICITED_RESPONSE_TARGET`
    `USE`
    `VALID_UNTIL`
    `VALUE`
    `VERSION`
    `VERSION_2_0`
    `WANT_ASSERTIONS_SIGNED`
    `WANT_AUTHN_REQUESTS_SIGNED`
    `X509_CERT`
    `X509_DATA`
    `XACML_AUTHZ_DECISION_QUERY`
    `XACML_AUTHZ_DECISION_QUERY_TYPE`
    `XACML_AUTHZ_DECISION_STATEMENT_TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JBossSAMLConstants` | `from(QName name)` Returns an enum constant based if known for the given `name` (namespace-aware), or the `UNKNOWN_VALUE` otherwise.
    `static JBossSAMLConstants` | `from(String key)` Returns an enum constant based if known for the given `key`, or the `UNKNOWN_VALUE` otherwise.
    `static JBossSAMLConstants` | `from(String key, JBossSAMLConstants defaultValue)` Returns an enum constant based if known for the given `key`, or the `defaultValue` otherwise.
    `String` | `get()`
    `QName` | `getAsQName()`
    `JBossSAMLURIConstants` | `getNsUri()`
    `static JBossSAMLConstants` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JBossSAMLConstants[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARTIFACT

          public static final JBossSAMLConstants ARTIFACT

    - #### ARTIFACT_RESOLVE

          public static final JBossSAMLConstants ARTIFACT_RESOLVE

    - #### ARTIFACT_RESPONSE

          public static final JBossSAMLConstants ARTIFACT_RESPONSE

    - #### ASSERTION_ID_REQUEST

          public static final JBossSAMLConstants ASSERTION_ID_REQUEST

    - #### ATTRIBUTE_QUERY

          public static final JBossSAMLConstants ATTRIBUTE_QUERY

    - #### AUTHN_QUERY

          public static final JBossSAMLConstants AUTHN_QUERY

    - #### AUTHN_REQUEST

          public static final JBossSAMLConstants AUTHN_REQUEST

    - #### AUTHZ_DECISION_QUERY

          public static final JBossSAMLConstants AUTHZ_DECISION_QUERY

    - #### EXTENSIONS__PROTOCOL

          public static final JBossSAMLConstants EXTENSIONS__PROTOCOL

    - #### GET_COMPLETE

          public static final JBossSAMLConstants GET_COMPLETE

    - #### IDP_ENTRY

          public static final JBossSAMLConstants IDP_ENTRY

    - #### IDP_LIST

          public static final JBossSAMLConstants IDP_LIST

    - #### LOGOUT_REQUEST

          public static final JBossSAMLConstants LOGOUT_REQUEST

    - #### LOGOUT_RESPONSE

          public static final JBossSAMLConstants LOGOUT_RESPONSE

    - #### MANAGE_NAMEID_REQUEST

          public static final JBossSAMLConstants MANAGE_NAMEID_REQUEST

    - #### MANAGE_NAMEID_RESPONSE

          public static final JBossSAMLConstants MANAGE_NAMEID_RESPONSE

    - #### NAMEID_MAPPING_REQUEST

          public static final JBossSAMLConstants NAMEID_MAPPING_REQUEST

    - #### NAMEID_MAPPING_RESPONSE

          public static final JBossSAMLConstants NAMEID_MAPPING_RESPONSE

    - #### NAMEID_POLICY

          public static final JBossSAMLConstants NAMEID_POLICY

    - #### NEW_ENCRYPTEDID

          public static final JBossSAMLConstants NEW_ENCRYPTEDID

    - #### NEWID

          public static final JBossSAMLConstants NEWID

    - #### REQUESTED_AUTHN_CONTEXT

          public static final JBossSAMLConstants REQUESTED_AUTHN_CONTEXT

    - #### REQUESTERID

          public static final JBossSAMLConstants REQUESTERID

    - #### RESPONSE__PROTOCOL

          public static final JBossSAMLConstants RESPONSE__PROTOCOL

    - #### SCOPING

          public static final JBossSAMLConstants SCOPING

    - #### SESSION_INDEX

          public static final JBossSAMLConstants SESSION_INDEX

    - #### STATUS_CODE

          public static final JBossSAMLConstants STATUS_CODE

    - #### STATUS_DETAIL

          public static final JBossSAMLConstants STATUS_DETAIL

    - #### STATUS_MESSAGE

          public static final JBossSAMLConstants STATUS_MESSAGE

    - #### STATUS

          public static final JBossSAMLConstants STATUS

    - #### SUBJECT_QUERY

          public static final JBossSAMLConstants SUBJECT_QUERY

    - #### TERMINATE

          public static final JBossSAMLConstants TERMINATE

    - #### ACTION

          public static final JBossSAMLConstants ACTION

    - #### ADVICE

          public static final JBossSAMLConstants ADVICE

    - #### ASSERTION

          public static final JBossSAMLConstants ASSERTION

    - #### ASSERTION_ID_REF

          public static final JBossSAMLConstants ASSERTION_ID_REF

    - #### ASSERTION_URI_REF

          public static final JBossSAMLConstants ASSERTION_URI_REF

    - #### ATTRIBUTE

          public static final JBossSAMLConstants ATTRIBUTE

    - #### ATTRIBUTE_STATEMENT

          public static final JBossSAMLConstants ATTRIBUTE_STATEMENT

    - #### ATTRIBUTE_VALUE

          public static final JBossSAMLConstants ATTRIBUTE_VALUE

    - #### AUDIENCE

          public static final JBossSAMLConstants AUDIENCE

    - #### AUDIENCE_RESTRICTION

          public static final JBossSAMLConstants AUDIENCE_RESTRICTION

    - #### AUTHENTICATING_AUTHORITY

          public static final JBossSAMLConstants AUTHENTICATING_AUTHORITY

    - #### AUTHN_CONTEXT

          public static final JBossSAMLConstants AUTHN_CONTEXT

    - #### AUTHN_CONTEXT_CLASS_REF

          public static final JBossSAMLConstants AUTHN_CONTEXT_CLASS_REF

    - #### AUTHN_CONTEXT_DECL

          public static final JBossSAMLConstants AUTHN_CONTEXT_DECL

    - #### AUTHN_CONTEXT_DECL_REF

          public static final JBossSAMLConstants AUTHN_CONTEXT_DECL_REF

    - #### AUTHN_STATEMENT

          public static final JBossSAMLConstants AUTHN_STATEMENT

    - #### AUTHZ_DECISION_STATEMENT

          public static final JBossSAMLConstants AUTHZ_DECISION_STATEMENT

    - #### BASEID

          public static final JBossSAMLConstants BASEID

    - #### CONDITION

          public static final JBossSAMLConstants CONDITION

    - #### CONDITIONS

          public static final JBossSAMLConstants CONDITIONS

    - #### ENCRYPTED_ASSERTION

          public static final JBossSAMLConstants ENCRYPTED_ASSERTION

    - #### ENCRYPTED_ATTRIBUTE

          public static final JBossSAMLConstants ENCRYPTED_ATTRIBUTE

    - #### ENCRYPTED_ID

          public static final JBossSAMLConstants ENCRYPTED_ID

    - #### EVIDENCE

          public static final JBossSAMLConstants EVIDENCE

    - #### ISSUER

          public static final JBossSAMLConstants ISSUER

    - #### NAMEID

          public static final JBossSAMLConstants NAMEID

    - #### ONE_TIME_USE

          public static final JBossSAMLConstants ONE_TIME_USE

    - #### PROXY_RESTRICTION

          public static final JBossSAMLConstants PROXY_RESTRICTION

    - #### STATEMENT

          public static final JBossSAMLConstants STATEMENT

    - #### SUBJECT_CONFIRMATION_DATA

          public static final JBossSAMLConstants SUBJECT_CONFIRMATION_DATA

    - #### SUBJECT_CONFIRMATION

          public static final JBossSAMLConstants SUBJECT_CONFIRMATION

    - #### SUBJECT_LOCALITY

          public static final JBossSAMLConstants SUBJECT_LOCALITY

    - #### SUBJECT

          public static final JBossSAMLConstants SUBJECT

    - #### ADDITIONAL_METADATA_LOCATION

          public static final JBossSAMLConstants ADDITIONAL_METADATA_LOCATION

    - #### AFFILIATE_MEMBER

          public static final JBossSAMLConstants AFFILIATE_MEMBER

    - #### AFFILIATION_DESCRIPTOR

          public static final JBossSAMLConstants AFFILIATION_DESCRIPTOR

    - #### ARTIFACT_RESOLUTION_SERVICE

          public static final JBossSAMLConstants ARTIFACT_RESOLUTION_SERVICE

    - #### ASSERTION_CONSUMER_SERVICE

          public static final JBossSAMLConstants ASSERTION_CONSUMER_SERVICE

    - #### ASSERTION_ID_REQUEST_SERVICE

          public static final JBossSAMLConstants ASSERTION_ID_REQUEST_SERVICE

    - #### ATTRIBUTE_AUTHORITY_DESCRIPTOR

          public static final JBossSAMLConstants ATTRIBUTE_AUTHORITY_DESCRIPTOR

    - #### ATTRIBUTE_CONSUMING_SERVICE

          public static final JBossSAMLConstants ATTRIBUTE_CONSUMING_SERVICE

    - #### ATTRIBUTE_PROFILE

          public static final JBossSAMLConstants ATTRIBUTE_PROFILE

    - #### ATTRIBUTE_SERVICE

          public static final JBossSAMLConstants ATTRIBUTE_SERVICE

    - #### AUTHN_AUTHORITY_DESCRIPTOR

          public static final JBossSAMLConstants AUTHN_AUTHORITY_DESCRIPTOR

    - #### AUTHN_QUERY_SERVICE

          public static final JBossSAMLConstants AUTHN_QUERY_SERVICE

    - #### AUTHZ_SERVICE

          public static final JBossSAMLConstants AUTHZ_SERVICE

    - #### COMPANY

          public static final JBossSAMLConstants COMPANY

    - #### CONTACT_PERSON

          public static final JBossSAMLConstants CONTACT_PERSON

    - #### EMAIL_ADDRESS

          public static final JBossSAMLConstants EMAIL_ADDRESS

    - #### ENCRYPTION_METHOD

          public static final JBossSAMLConstants ENCRYPTION_METHOD

    - #### ENTITIES_DESCRIPTOR

          public static final JBossSAMLConstants ENTITIES_DESCRIPTOR

    - #### ENTITY_DESCRIPTOR

          public static final JBossSAMLConstants ENTITY_DESCRIPTOR

    - #### EXTENSIONS__METADATA

          public static final JBossSAMLConstants EXTENSIONS__METADATA

    - #### GIVEN_NAME

          public static final JBossSAMLConstants GIVEN_NAME

    - #### IDP_SSO_DESCRIPTOR

          public static final JBossSAMLConstants IDP_SSO_DESCRIPTOR

    - #### KEY_DESCRIPTOR

          public static final JBossSAMLConstants KEY_DESCRIPTOR

    - #### MANAGE_NAMEID_SERVICE

          public static final JBossSAMLConstants MANAGE_NAMEID_SERVICE

    - #### NAMEID_FORMAT

          public static final JBossSAMLConstants NAMEID_FORMAT

    - #### NAMEID_MAPPING_SERVICE

          public static final JBossSAMLConstants NAMEID_MAPPING_SERVICE

    - #### ORGANIZATION_DISPLAY_NAME

          public static final JBossSAMLConstants ORGANIZATION_DISPLAY_NAME

    - #### ORGANIZATION_NAME

          public static final JBossSAMLConstants ORGANIZATION_NAME

    - #### ORGANIZATION

          public static final JBossSAMLConstants ORGANIZATION

    - #### ORGANIZATION_URL

          public static final JBossSAMLConstants ORGANIZATION_URL

    - #### ORGANIZATION_URL_ALT

          public static final JBossSAMLConstants ORGANIZATION_URL_ALT

    - #### PDP_DESCRIPTOR

          public static final JBossSAMLConstants PDP_DESCRIPTOR

    - #### REQUESTED_ATTRIBUTE

          public static final JBossSAMLConstants REQUESTED_ATTRIBUTE

    - #### ROLE_DESCRIPTOR

          public static final JBossSAMLConstants ROLE_DESCRIPTOR

    - #### SERVICE_DESCRIPTION

          public static final JBossSAMLConstants SERVICE_DESCRIPTION

    - #### SERVICE_NAME

          public static final JBossSAMLConstants SERVICE_NAME

    - #### SINGLE_LOGOUT_SERVICE

          public static final JBossSAMLConstants SINGLE_LOGOUT_SERVICE

    - #### SINGLE_SIGNON_SERVICE

          public static final JBossSAMLConstants SINGLE_SIGNON_SERVICE

    - #### SP_SSO_DESCRIPTOR

          public static final JBossSAMLConstants SP_SSO_DESCRIPTOR

    - #### SURNAME

          public static final JBossSAMLConstants SURNAME

    - #### TELEPHONE_NUMBER

          public static final JBossSAMLConstants TELEPHONE_NUMBER

    - #### RELAY_STATE

          public static final JBossSAMLConstants RELAY_STATE

    - #### REQUEST

          public static final JBossSAMLConstants REQUEST

    - #### RESPONSE__ECP

          public static final JBossSAMLConstants RESPONSE__ECP

    - #### SIGNATURE

          public static final JBossSAMLConstants SIGNATURE

    - #### DSA_KEY_VALUE

          public static final JBossSAMLConstants DSA_KEY_VALUE

    - #### KEY_INFO

          public static final JBossSAMLConstants KEY_INFO

    - #### KEY_VALUE

          public static final JBossSAMLConstants KEY_VALUE

    - #### RSA_KEY_VALUE

          public static final JBossSAMLConstants RSA_KEY_VALUE

    - #### X509_CERT

          public static final JBossSAMLConstants X509_CERT

    - #### X509_DATA

          public static final JBossSAMLConstants X509_DATA

    - #### ADDRESS

          public static final JBossSAMLConstants ADDRESS

    - #### ALLOW_CREATE

          public static final JBossSAMLConstants ALLOW_CREATE

    - #### ASSERTION_CONSUMER_SERVICE_URL

          public static final JBossSAMLConstants ASSERTION_CONSUMER_SERVICE_URL

    - #### ASSERTION_CONSUMER_SERVICE_INDEX

          public static final JBossSAMLConstants ASSERTION_CONSUMER_SERVICE_INDEX

    - #### ATTRIBUTE_CONSUMING_SERVICE_INDEX

          public static final JBossSAMLConstants ATTRIBUTE_CONSUMING_SERVICE_INDEX

    - #### AUTHN_INSTANT

          public static final JBossSAMLConstants AUTHN_INSTANT

    - #### AUTHN_REQUESTS_SIGNED

          public static final JBossSAMLConstants AUTHN_REQUESTS_SIGNED

    - #### BINDING

          public static final JBossSAMLConstants BINDING

    - #### CACHE_DURATION

          public static final JBossSAMLConstants CACHE_DURATION

    - #### COMPARISON

          public static final JBossSAMLConstants COMPARISON

    - #### CONSENT

          public static final JBossSAMLConstants CONSENT

    - #### CONTACT_TYPE

          public static final JBossSAMLConstants CONTACT_TYPE

    - #### DESTINATION

          public static final JBossSAMLConstants DESTINATION

    - #### DNS_NAME

          public static final JBossSAMLConstants DNS_NAME

    - #### ENCODING

          public static final JBossSAMLConstants ENCODING

    - #### ENCRYPTED_KEY

          public static final JBossSAMLConstants ENCRYPTED_KEY

    - #### ENTITY_ID

          public static final JBossSAMLConstants ENTITY_ID

    - #### FORMAT

          public static final JBossSAMLConstants FORMAT

    - #### FRIENDLY_NAME

          public static final JBossSAMLConstants FRIENDLY_NAME

    - #### FORCE_AUTHN

          public static final JBossSAMLConstants FORCE_AUTHN

    - #### ID

          public static final JBossSAMLConstants ID

    - #### INDEX

          public static final JBossSAMLConstants INDEX

    - #### INPUT_CONTEXT_ONLY

          public static final JBossSAMLConstants INPUT_CONTEXT_ONLY

    - #### IN_RESPONSE_TO

          public static final JBossSAMLConstants IN_RESPONSE_TO

    - #### ISDEFAULT

          public static final JBossSAMLConstants ISDEFAULT

    - #### IS_REQUIRED

          public static final JBossSAMLConstants IS_REQUIRED

    - #### IS_PASSIVE

          public static final JBossSAMLConstants IS_PASSIVE

    - #### ISSUE_INSTANT

          public static final JBossSAMLConstants ISSUE_INSTANT

    - #### LOCATION

          public static final JBossSAMLConstants LOCATION

    - #### METHOD

          public static final JBossSAMLConstants METHOD

    - #### NAME

          public static final JBossSAMLConstants NAME

    - #### NAME_FORMAT

          public static final JBossSAMLConstants NAME_FORMAT

    - #### NAME_QUALIFIER

          public static final JBossSAMLConstants NAME_QUALIFIER

    - #### NOT_BEFORE

          public static final JBossSAMLConstants NOT_BEFORE

    - #### NOT_ON_OR_AFTER

          public static final JBossSAMLConstants NOT_ON_OR_AFTER

    - #### PROTOCOL_BINDING

          public static final JBossSAMLConstants PROTOCOL_BINDING

    - #### PROTOCOL_SUPPORT_ENUMERATION

          public static final JBossSAMLConstants PROTOCOL_SUPPORT_ENUMERATION

    - #### PROVIDER_NAME

          public static final JBossSAMLConstants PROVIDER_NAME

    - #### REASON

          public static final JBossSAMLConstants REASON

    - #### RECIPIENT

          public static final JBossSAMLConstants RECIPIENT

    - #### REQUEST_ABSTRACT

          public static final JBossSAMLConstants REQUEST_ABSTRACT

    - #### RESPONSE_LOCATION

          public static final JBossSAMLConstants RESPONSE_LOCATION

    - #### RETURN_CONTEXT

          public static final JBossSAMLConstants RETURN_CONTEXT

    - #### SP_PROVIDED_ID

          public static final JBossSAMLConstants SP_PROVIDED_ID

    - #### SP_NAME_QUALIFIER

          public static final JBossSAMLConstants SP_NAME_QUALIFIER

    - #### STATUS_RESPONSE_TYPE

          public static final JBossSAMLConstants STATUS_RESPONSE_TYPE

    - #### TYPE

          public static final JBossSAMLConstants TYPE

    - #### USE

          public static final JBossSAMLConstants USE

    - #### VALUE

          public static final JBossSAMLConstants VALUE

    - #### VALID_UNTIL

          public static final JBossSAMLConstants VALID_UNTIL

    - #### VERSION

          public static final JBossSAMLConstants VERSION

    - #### WANT_AUTHN_REQUESTS_SIGNED

          public static final JBossSAMLConstants WANT_AUTHN_REQUESTS_SIGNED

    - #### WANT_ASSERTIONS_SIGNED

          public static final JBossSAMLConstants WANT_ASSERTIONS_SIGNED

    - #### XACML_AUTHZ_DECISION_QUERY

          public static final JBossSAMLConstants XACML_AUTHZ_DECISION_QUERY

    - #### XACML_AUTHZ_DECISION_QUERY_TYPE

          public static final JBossSAMLConstants XACML_AUTHZ_DECISION_QUERY_TYPE

    - #### XACML_AUTHZ_DECISION_STATEMENT_TYPE

          public static final JBossSAMLConstants XACML_AUTHZ_DECISION_STATEMENT_TYPE

    - #### REQUEST_AUTHENTICATED

          public static final JBossSAMLConstants REQUEST_AUTHENTICATED

    - #### UNSOLICITED_RESPONSE_TARGET

          public static final JBossSAMLConstants UNSOLICITED_RESPONSE_TARGET

    - #### UNSOLICITED_RESPONSE_SAML_VERSION

          public static final JBossSAMLConstants UNSOLICITED_RESPONSE_SAML_VERSION

    - #### UNSOLICITED_RESPONSE_SAML_BINDING

          public static final JBossSAMLConstants UNSOLICITED_RESPONSE_SAML_BINDING

    - #### LANG

          public static final JBossSAMLConstants LANG

    - #### LANG_EN

          public static final JBossSAMLConstants LANG_EN

    - #### METADATA_MIME

          public static final JBossSAMLConstants METADATA_MIME

    - #### SIGNATURE_SHA1_WITH_DSA

          public static final JBossSAMLConstants SIGNATURE_SHA1_WITH_DSA

    - #### SIGNATURE_SHA1_WITH_RSA

          public static final JBossSAMLConstants SIGNATURE_SHA1_WITH_RSA

    - #### VERSION_2_0

          public static final JBossSAMLConstants VERSION_2_0

    - #### RESPONSE

          public static final JBossSAMLConstants RESPONSE

      Deprecated. Use namespace-aware variant instead

    - #### EXTENSIONS

          public static final JBossSAMLConstants EXTENSIONS

      Deprecated. Use namespace-aware variant instead

    - #### UNKNOWN_VALUE

          public static final JBossSAMLConstants UNKNOWN_VALUE

  - ### Method Detail

    - #### values

          public static JBossSAMLConstants[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JBossSAMLConstants c : JBossSAMLConstants.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JBossSAMLConstants valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public String get()

    - #### getAsQName

          public QName getAsQName()

    - #### getNsUri

          public JBossSAMLURIConstants getNsUri()

    - #### from

          public static JBossSAMLConstants from(String key,
                                                JBossSAMLConstants defaultValue)

      Returns an enum constant based if known for the given `key`, or the `defaultValue` otherwise.
      Parameters:
        `key` -
      Returns:

    - #### from

          public static JBossSAMLConstants from(String key)

      Returns an enum constant based if known for the given `key`, or the `UNKNOWN_VALUE` otherwise.
      Parameters:
        `key` -
      Returns:

    - #### from

          public static JBossSAMLConstants from(QName name)

      Returns an enum constant based if known for the given `name` (namespace-aware), or the `UNKNOWN_VALUE` otherwise.
      Parameters:
        `key` -
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.